List transfers
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/transfers \
--header 'Authorization: <api-key>'import requests
url = "https://sta.sandbox.lerian.net/v1/transfers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sta.sandbox.lerian.net/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"items": [
{
"bytesDownloaded": 123,
"bytesUploaded": 123,
"createdAt": "<string>",
"credentialId": "<string>",
"currentState": "<string>",
"currentStateCode": 123,
"direction": "<string>",
"documentType": "<string>",
"downloadAttempts": 123,
"errorCode": "<string>",
"expired": true,
"expiresAt": "<string>",
"fileName": "<string>",
"fileRef": "<string>",
"fileSizeBytes": 123,
"hashMismatchAttempts": 123,
"id": "<string>",
"lastTransitError": "<string>",
"protocolGeneratedAt": "<string>",
"protocolNumber": "<string>",
"secondsRemaining": 123,
"sourceProduct": "<string>",
"transmissionAttempts": 123,
"updatedAt": "<string>",
"uploadAttempts": 123,
"urgentRequestedAt": "<string>"
}
],
"nextCursor": "<string>",
"pageSize": 123
}{}{}{}List transfers
Lists transfers for the authenticated tenant with cursor-based pagination. Optional filters: state, direction, source_product.
GET
/
v1
/
transfers
List transfers
Authorizations
Bearer token authentication (format: "Bearer {token}")
Query Parameters
filter by state name
outbound | inbound
filter by source_product
opaque continuation cursor
page size (1..100)
Was this page helpful?
⌘I

